


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

# Review: https://bugzilla.redhat.com/show_bug.cgi?id=567257

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Name    : libfm
Version : 1.2.3
Release : 1%{?dist}
Summary : GIO-based library for file manager-like programs

Group   : System Environment/Libraries
License : GPLv2+

URL     : http://pcmanfm.sourceforge.net/

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Source0 : http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


BuildRequires :  gtk2-devel

BuildRequires :  menu-cache-devel >= 0.3.2

BuildRequires :  intltool >= 0.40.0

BuildRequires :  desktop-file-utils
BuildRequires :  dbus-glib-devel



# BuildRequires :  libexif-devel

# BuildRequires :  gtk-doc

# BuildRequires :  libxslt

# BuildRequires :  vala

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Requires(post)   : /sbin/ldconfig

Requires(postun) : /sbin/ldconfig

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description

LibFM is a GIO-based library used to develop file manager-like programs.
It is developed as the core of next generation PCManFM and takes care of all file-related operations such as copy & paste, drag & drop, file associations or thumbnails support.
By utilizing glib/gio and gvfs,
libfm can access remote file systems supported by gvfs.

This package contains the generic non-gui functions of libfm.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%package       devel

Summary  : Development files for %{name}
Group    : Development/Libraries
Requires : %{name} = %{version}-%{release}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description   devel

The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%package       gtk

Summary  : File manager-related GTK+ widgets of %{name}
Group    : System Environment/Libraries
Requires : %{name} = %{version}-%{release}
Requires : gvfs

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description   gtk

libfm is a GIO-based library used to develop file manager-like programs.
It is developed as the core of next generation PCManFM and takes care of all file-related operations such as copy & paste, drag & drop, file associations or thumbnail support.
By utilizing glib/gio and gvfs,
libfm can access remote file systems supported by gvfs.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%package       gtk-utils

Summary   : GTK+ related utility package for %{name}
Group     : User Interface/Desktops
Requires  : %{name}-gtk = %{version}-%{release}
Obsoletes : lxshortcut < 0.1.3
Provides  : lxshortcut = %{version}-%{release}
Provides  : lxshortcut = %{version}-%{release}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description   gtk-utils

This package contains some GTK+ related utility files for %{name}.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%package        gtk-devel

Summary  : Development files for %{name}-gtk
Group    : Development/Libraries
Requires : %{name}-gtk = %{version}-%{release}
Requires : %{name}-devel = %{version}-%{release}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description   gtk-devel

The %{name}-devel package contains libraries and header files for developing applications that use %{name}-gtk.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%prep

%setup -q -n %{name}-%{version}



# treak rpath
sed -i.libdir_syssearch                                                            \
    -e '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
    configure

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%build

%configure             \
--enable-udisks        \
--disable-actions      \
--disable-exif         \
--disable-static       \
--disable-nls          \
--disable-gtk-doc-html \
--disable-silent-rules



echo '------{?_smp_mflags}       = '"%{?_smp_mflags}"

make %{?_smp_mflags} -k

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%install

echo '------${RPM_BUILD_ROOT}    = '"${RPM_BUILD_ROOT}"

echo '------{?dist}              = '"%{?dist}"

echo '------{buildroot}          = '"%{buildroot}"

echo '------{_bindir}            = '"%{_bindir}"

echo '------{_sysconfdir}        = '"%{_sysconfdir}"

echo '------{_includedir}        = '"%{_includedir}"

echo '------{_libdir}            = '"%{_libdir}"

echo '------{_datadir}           = '"%{_datadir}"

echo '------{_docdir}            = '"%{_docdir}"

echo '------{_infodir}           = '"%{_infodir}"

echo '------{_mandir}            = '"%{_mandir}"



make install DESTDIR=${RPM_BUILD_ROOT} INSTALL='install -p'



rm -frv                                                   \
${RPM_BUILD_ROOT}%{_includedir}/%{name}-1.0/fm-extra.h    \
${RPM_BUILD_ROOT}%{_includedir}/%{name}-1.0/fm-version.h  \
${RPM_BUILD_ROOT}%{_includedir}/%{name}-1.0/fm-xml-file.h \
${RPM_BUILD_ROOT}%{_libdir}/%{name}-extra.so              \
${RPM_BUILD_ROOT}%{_libdir}/%{name}-extra.so.*            \
${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/%{name}-extra.pc



rm -frv                          \
${RPM_BUILD_ROOT}%{_docdir}      \
${RPM_BUILD_ROOT}%{_infodir}     \
${RPM_BUILD_ROOT}%{_mandir}      \
${RPM_BUILD_ROOT}%{_libdir}/*.la



desktop-file-validate %{buildroot}/%{_datadir}/applications/libfm-pref-apps.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/lxshortcut.desktop



%find_lang %{name}



echo '%%defattr(-,root,root,-)' > base-header.files
echo '%%defattr(-,root,root,-)' > gtk-header.files

for f in ${RPM_BUILD_ROOT}%{_includedir}/%{name}-1.0/*.h
do
   bf=$(basename $f)

   for dir in actions base job .
   do
      if [ -f src/${dir}/${bf} ]
      then
         echo %{_includedir}/%{name}-1.0/${bf} >> base-header.files
      fi
   done

   for dir in gtk
   do
      if [ -f src/${dir}/${bf} ]
      then
         echo %{_includedir}/%{name}-1.0/${bf} >> gtk-header.files
      fi
   done

done



/usr/lib/rpm/check-rpaths

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%check

# make check

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%pre

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%post

/sbin/ldconfig

touch --no-create %{_datadir}/mime/packages &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%postun

/sbin/ldconfig

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%posttrans

echo '------{?fedora:-n}         = '"%{?fedora:-n}"

update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

# %{_bindir}
# %{_sysconfdir}
# %{_includedir}
# %{_libdir}
# %{_datadir}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files -f %{name}.lang

%defattr(-,root,root,-)



%{_sysconfdir}/xdg/%{name}/%{name}.conf



%{_libdir}/%{name}.so.*

%{_libdir}/%{name}/modules/vfs-menu.so
%{_libdir}/%{name}/modules/vfs-search.so



%{_datadir}/mime/packages/libfm.xml

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files devel -f base-header.files

%defattr(-,root,root,-)



%{_includedir}/%{name}

%dir %{_includedir}/%{name}-1.0/



%{_libdir}/%{name}.so

%{_libdir}/pkgconfig/%{name}.pc

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files gtk

%defattr(-,root,root,-)



%{_libdir}/%{name}-gtk.so.*

%{_libdir}/%{name}/modules/gtk-fileprop-x-desktop.so
%{_libdir}/%{name}/modules/gtk-fileprop-x-shortcut.so
%{_libdir}/%{name}/modules/gtk-menu-trash.so



%{_datadir}/%{name}/

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files gtk-devel -f gtk-header.files

%defattr(-,root,root,-)



%{_includedir}/%{name}-1.0/fm-gtk.h



%{_libdir}/%{name}-gtk.so

%{_libdir}/pkgconfig/%{name}-gtk.pc

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files gtk-utils

%defattr(-,root,root,-)



%{_bindir}/libfm-pref-apps
%{_bindir}/lxshortcut



%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/applications/lxshortcut.desktop

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%changelog